From 289475caeb19e32855ffcae40256ac4942d931bb Mon Sep 17 00:00:00 2001
From: Bernd Kuhls <bernd.kuhls@t-online.de>
Date: Sat, 30 Jan 2016 10:41:30 +0100
Subject: [PATCH] Fix build errors with musl C library.

Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
---
 common/network/NetworkUtils.cpp | 1 +
 plugins/spi/SPIWriter.cpp       | 1 +
 2 files changed, 2 insertions(+)

diff --git a/common/network/NetworkUtils.cpp b/common/network/NetworkUtils.cpp
index dc1d166..38f1993 100644
--- a/common/network/NetworkUtils.cpp
+++ b/common/network/NetworkUtils.cpp
@@ -55,6 +55,7 @@ typedef uint32_t in_addr_t;
 // Do something else if we don't have Netlink/on Windows
 #endif
 
+#include <endian.h>
 #include <errno.h>
 #include <limits.h>
 #include <stdlib.h>
diff --git a/plugins/spi/SPIWriter.cpp b/plugins/spi/SPIWriter.cpp
index 36b66c5..f139711 100644
--- a/plugins/spi/SPIWriter.cpp
+++ b/plugins/spi/SPIWriter.cpp
@@ -20,6 +20,7 @@
 
 #include <errno.h>
 #include <fcntl.h>
+#include <linux/ioctl.h>
 #include <linux/spi/spidev.h>
 #include <stdlib.h>
 #include <string.h>
